# OrderBookStream | xrpl
Documentation for xrpl

# Interface OrderBookStream

When you subscribe to one or more order books with the `books` field, you get back any transactions that affect those order books. Has the same format as a TransactionStream but the transaction can have a `owner_funds` field.

#### Hierarchy

- BaseStream
  - OrderBookStream

- Defined in packages/xrpl/src/models/methods/subscribe.ts:346

#####
Index

### Properties

engine_result
engine_result_code
engine_result_message
ledger_current_index?
ledger_hash?
ledger_index?
meta
status
transaction
type
validated

## Properties

### engine_result

engine_result: string

- Defined in packages/xrpl/src/models/methods/subscribe.ts:349

### engine_result_code

engine_result_code: number

- Defined in packages/xrpl/src/models/methods/subscribe.ts:350

### engine_result_message

engine_result_message: string

- Defined in packages/xrpl/src/models/methods/subscribe.ts:351

### `Optional` ledger_current_index

ledger_current_index?: number

- Defined in packages/xrpl/src/models/methods/subscribe.ts:352

### `Optional` ledger_hash

ledger_hash?: string

- Defined in packages/xrpl/src/models/methods/subscribe.ts:353

### `Optional` ledger_index

ledger_index?: number

- Defined in packages/xrpl/src/models/methods/subscribe.ts:354

### meta

meta: TransactionMetadata

- Defined in packages/xrpl/src/models/methods/subscribe.ts:355

### status

status: string

- Defined in packages/xrpl/src/models/methods/subscribe.ts:347

### transaction

transaction: Object

- Defined in packages/xrpl/src/models/methods/subscribe.ts:356

### type

type: "transaction"

Overrides BaseStream.type

- Defined in packages/xrpl/src/models/methods/subscribe.ts:348

### validated

validated: boolean

- Defined in packages/xrpl/src/models/methods/subscribe.ts:367

Generated using TypeDoc